;;; oni-bats.el --- Configuration for bats-mode      -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2020.0108.154614
;; Package-Requires: (bats-mode oni-sh)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Configuration for ‘bats-mode’.

;; This configuration pulls in ‘oni-sh’ because ‘bats-mode’ is derived from
;; ‘sh-mode’.

;;; Code:

(require 'autoinsert)

;;;###autoload
(with-eval-after-load 'autoinsert
  (add-to-list 'auto-insert-alist '(bats-mode nil "#!/usr/bin/env bats\n\n")))

;;;###autoload(with-eval-after-load 'bats-mode (require 'oni-bats))

(provide 'oni-bats)
;;; oni-bats.el ends here
