;;; oni-elfeed.el --- Elfeed configuration           -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2019.0904.210512
;; Package-Requires: (elfeed)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Configuration for the elfeed feed reader.

;;; Code:

(require 'elfeed)

(setq elfeed-feeds
      '("http://nullprogram.com/feed/"
        ("http://planet.emacsen.org/atom.xml" emacs)
        ("https://www.reddit.com/r/emacs/hot.xml" emacs)
        ("http://oremacs.com/atom.xml" emacs)
        ("http://emacshorrors.com/feed.atom" emacs)
        ("http://emacsredux.com/atom.xml" emacs)
        ("http://emacsrocks.com/atom.xml" emacs)
        ("http://endlessparentheses.com/atom.xml" emacs)
        ("http://www.masteringemacs.org/feed/" emacs)
        ("http://pragmaticemacs.com/feed/" emacs)
        ("http://sachachua.com/blog/category/emacs/feed/" emacs)
        ("https://www.reddit.com/r/lisp/hot.xml" lisp)
        ("http://planet.lisp.org/rss20.xml" lisp)
        ("https://www.reddit.com/r/scheme/hot.xml" lisp scheme)
        "http://aphyr.com/posts.atom"
        "https://news.ycombinator.com/rss"
        "https://www.reddit.com/r/programming/hot.xml"
        ("https://lwn.net/headlines/newrss" linux)
        ("https://serversforhackers.com/feed.xml" linux)
        "http://julien.danjou.info/blog/index.xml"
        "https://sites.google.com/site/darkwavestyle/SecretPage1/posts.xml"
        ("http://lispblog.xach.com/rss" lisp)
        "http://esr.ibiblio.org/?feed=rss2"
        "http://feeds.feedburner.com/GiantRobotsSmashingIntoOtherGiantRobots"
        "http://grumpygamer.com/rss2.0"
        "http://irreal.org/blog/?feed=rss2"
        "http://devblog.avdi.org/feed/"
        "http://wingolog.org/feed/atom"
        "http://xach.livejournal.com/data/atom"
        "http://allanmcrae.com/feed/"
        "http://beej.us/blog/rss.xml"
        "http://steve-yegge.blogspot.be/atom.xml"
        "https://www.archlinux.org/feeds/news/"
        ("http://blog.quicklisp.org/feeds/posts/default" lisp)
        "http://www.gimp.org/news.rdf"
        "https://nostarch.com/feeds/comingsoon.xml"
        "https://nostarch.com/feeds/newbooks.xml"))

(add-hook 'elfeed-new-entry-hook
          (elfeed-make-tagger :before "2 weeks ago"
                              :remove 'unread))

;;;###autoload(with-eval-after-load 'elfeed (require 'oni-elfeed))

(provide 'oni-elfeed)
;;; oni-elfeed.el ends here
