;;; oni-groovy.el --- Configuration for Groovy mode  -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2019.1210.230729
;; Package-Requires: (groovy-mode groovy-imports rainbow-delimiters)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; My ‘groovy-mode’ configuration.

;;; Code:

(require 'groovy-mode)
(require 'groovy-imports)

(defun oni-groovy--auto-fill-mode ()
  "Enable ‘auto-fill-mode’ only for comments."
  (setq-local comment-auto-fill-only-comments t)
  (auto-fill-mode))

(define-key groovy-mode-map (kbd "M-I") 'groovy-imports-add-import-dwim)

(add-hook 'groovy-mode-hook 'electric-indent-local-mode)
(add-hook 'groovy-mode-hook 'electric-pair-local-mode)
(add-hook 'groovy-mode-hook 'groovy-imports-scan-file)
(add-hook 'groovy-mode-hook 'rainbow-delimiters-mode)
(add-hook 'groovy-mode-hook 'oni-groovy--auto-fill-mode)

;;;###autoload(with-eval-after-load 'groovy-mode (require 'oni-groovy))

(provide 'oni-groovy)
;;; oni-groovy.el ends here
