;;; oni-gui.el --- GUI settings for Emacs            -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2019.1016.232748
;; Package-Requires: (oni-ui yoshi-theme diminish)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; These are my GUI settings.

;;; Code:

(add-to-list 'default-frame-alist '(font . "Fantasque Sans Mono-15"))
(add-to-list 'default-frame-alist '(internal-border-width . 15))

(set-fontset-font t ? "Font Awesome 5 Free Solid")
(set-fontset-font t ? "Font Awesome 5 Free Solid")
(set-fontset-font t ? "Font Awesome 5 Free Solid")
(set-fontset-font t ? "Font Awesome 5 Free Solid")
(set-fontset-font t ? "Font Awesome 5 Free Solid")
(set-fontset-font t ? "Font Awesome 5 Free Solid")
(set-fontset-font t ? "Font Awesome 5 Free Solid")
(set-fontset-font t ? "Font Awesome 5 Free Solid")
(set-fontset-font t ? "Font Awesome 5 Free Solid")
(set-fontset-font t ? "Font Awesome 5 Free Solid")
(set-fontset-font t ? "Font Awesome 5 Free Solid")
(set-fontset-font t ? "Font Awesome 5 Free Solid")
(set-fontset-font t ? "Font Awesome 5 Free Solid")

(set-fontset-font t ?◉ "DejaVu Sans Mono")
(set-fontset-font t ?○ "DejaVu Sans Mono")
(set-fontset-font t ?✸ "DejaVu Sans Mono")
(set-fontset-font t ?✿ "DejaVu Sans Mono")

(diminish 'isearch-mode " ")

(setq-default cursor-type '(bar . 2))
(setq-default cursor-in-non-selected-windows 'box)

(scroll-bar-mode -1)

(global-unset-key (kbd "C-z"))

(load-theme 'yoshi :no-confirm)

;;;###autoload(require 'oni-gui)

(provide 'oni-gui)
;;; oni-gui.el ends here
