;;; oni-makefile.el --- Makefile configuration       -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2019.1210.231019
;; Package-Requires: (oni-fci)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Makefile configuration.

;;; Code:

(require 'whitespace)

(defun oni-makefile--whitespace-mode ()
  "Enable whitespace mode with only tabs showing."
  (setq-local whitespace-style '(face tabs))
  (whitespace-mode))

(defun oni-makefile--auto-fill-mode ()
  "Enable ‘auto-fill-mode’ only for comments."
  (setq-local comment-auto-fill-only-comments t)
  (auto-fill-mode))

(add-hook 'makefile-mode-hook #'oni-makefile--whitespace-mode)
(add-hook 'makefile-mode-hook 'electric-pair-local-mode)
(add-hook 'makefile-mode-hook 'fci-mode)
(add-hook 'makefile-mode-hook 'oni-makefile--auto-fill-mode)

;;;###autoload(with-eval-after-load 'make-mode (require 'oni-makefile))

(provide 'oni-makefile)
;;; oni-makefile.el ends here
