;;; oni-scheme.el --- Scheme configuration           -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2020.0106.200514
;; Package-Requires: (oni-company oni-paredit oni-fci rainbow-delimiters)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Scheme configuration.

;;; Code:

(defun oni-scheme--auto-fill-mode ()
  "Enable ‘auto-fill-mode’ only for comments."
  (setq-local comment-auto-fill-only-comments t)
  (auto-fill-mode))

(add-hook 'scheme-mode-hook 'company-mode)
(add-hook 'scheme-mode-hook 'fci-mode)
(add-hook 'scheme-mode-hook 'paredit-mode)
(add-hook 'scheme-mode-hook 'rainbow-delimiters-mode)
(add-hook 'scheme-mode-hook 'oni-scheme--auto-fill-mode)

;;;###autoload
(add-to-list 'interpreter-mode-alist '("scsh" . scheme-mode))

;;;###autoload(with-eval-after-load 'scheme (require 'oni-scheme))

(provide 'oni-scheme)
;;; oni-scheme.el ends here
