;;; oni-yaml.el --- YAML configuration               -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2019.1210.231537
;; Package-Requires: (yaml-mode oni-flycheck oni-fci oni-highlight-indent-guides flycheck-yamllint indent-tools yaml-imenu)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; YAML configuration.

;;; Code:

(require 'indent-tools)
(require 'yaml-imenu)
(require 'flycheck-yamllint)

(defun oni-yaml--auto-fill-mode ()
  "Enable ‘auto-fill-mode’ only for comments."
  (setq-local comment-auto-fill-only-comments t)
  (auto-fill-mode))

(define-key yaml-mode-map (kbd "C-c >") 'indent-tools-hydra/body)

(add-hook 'yaml-mode-hook 'fci-mode)
(add-hook 'yaml-mode-hook 'highlight-indent-guides-mode)
(add-hook 'yaml-mode-hook 'yaml-imenu-enable)
(add-hook 'yaml-mode-hook 'oni-yaml--auto-fill-mode)

(flycheck-yamllint-setup)

;;;###autoload(with-eval-after-load 'yaml-mode (require 'oni-yaml))

(provide 'oni-yaml)
;;; oni-yaml.el ends here
